Bug 169602 - Fix uninitialized public members in Webkit2/UIProcess/API/gtk
Summary: Fix uninitialized public members in Webkit2/UIProcess/API/gtk
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tomas Popela
URL:
Keywords:
Depends on:
Blocks: 104114
  Show dependency treegraph
 
Reported: 2017-03-14 07:16 PDT by Tomas Popela
Modified: 2017-04-03 07:31 PDT (History)
8 users (show)

See Also:


Attachments
Patch (19.85 KB, patch)
2017-03-14 07:17 PDT, Tomas Popela
no flags Details | Formatted Diff | Diff
Patch (4.72 KB, patch)
2017-03-15 00:16 PDT, Tomas Popela
no flags Details | Formatted Diff | Diff
Patch (4.72 KB, patch)
2017-03-15 07:01 PDT, Tomas Popela
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Popela 2017-03-14 07:16:27 PDT
Found by Coverity scan.
Comment 1 Tomas Popela 2017-03-14 07:17:42 PDT
Created attachment 304376 [details]
Patch
Comment 2 WebKit Commit Bot 2017-03-14 07:20:15 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Michael Catanzaro 2017-03-14 08:11:52 PDT
Comment on attachment 304376 [details]
Patch

I was going to say "Please fix the ChangeLog" again but now I realize that you've been including all of the changes from all previous patch. Definitely need to look at this. :P
Comment 4 Tomas Popela 2017-03-15 00:16:19 PDT
Created attachment 304483 [details]
Patch

Correct the patch (after I previously had some problems with webkit-patch).
Comment 5 Tomas Popela 2017-03-15 07:01:05 PDT
Created attachment 304497 [details]
Patch

Add the missing space.
Comment 6 Tomas Popela 2017-03-16 01:40:36 PDT
Comment on attachment 304497 [details]
Patch

Clearing flags on attachment: 304497

Committed r214034: <http://trac.webkit.org/changeset/214034>
Comment 7 Tomas Popela 2017-03-16 01:40:46 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Carlos Garcia Campos 2017-04-03 02:55:54 PDT
Initializing private structs to 0/nullptr is just noise, glib already fills them with 0 on allocation.
Comment 9 Michael Catanzaro 2017-04-03 07:31:01 PDT
(In reply to Carlos Garcia Campos from comment #8)
> Initializing private structs to 0/nullptr is just noise, glib already fills
> them with 0 on allocation.

Yup, please don't do this!